Bug 1645764 - Review Request: grim - Grab images from a Wayland compositor
Summary: Review Request: grim - Grab images from a Wayland compositor
Keywords:
Status: CLOSED DUPLICATE of bug 1786962
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-03 13:25 UTC by Jan Pokorný [poki]
Modified: 2020-02-09 14:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 22:02:52 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1645765 medium CLOSED Review Request: slurp - Select a region in a Wayland compositor 2020-10-14 00:28:05 UTC

Internal Links: 1645765

Comment 1 Jan Pokorný [poki] 2018-11-03 13:34:00 UTC
Note that this can be combined with  slurp [bug 1645765] and uses
the very same style of packaging (reviewer would ideally tackle both
at once).

Comment 2 Jan Pokorný [poki] 2018-11-03 14:55:02 UTC
Fix build problems with i686 and armv7hl.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30637684

Comment 3 Till Hofmann 2018-11-05 17:47:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Upstream files are not properly licensed, most (if not all) files are missing
  license headers. This should at least be reported to upstream.
- Link to PR for the patch would be nice
- "%define __scm git_am" -> "%global __scm git_am"
- Package does not build on F28, looks like a missing BR: glibc-devel (not a blocker)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 19 files have
     unknown license. Detailed output of licensecheck in
     /home/thofmann/fedora/reviews/review-grim/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define __scm git_am
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: grim-0.0.1-1.20181024git61df6f0.fc30.x86_64.rpm
          grim-debuginfo-0.0.1-1.20181024git61df6f0.fc30.x86_64.rpm
          grim-debugsource-0.0.1-1.20181024git61df6f0.fc30.x86_64.rpm
          grim-0.0.1-1.20181024git61df6f0.fc30.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: grim-debuginfo-0.0.1-1.20181024git61df6f0.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
grim-debugsource.x86_64: W: invalid-url URL: https://github.com/emersion/grim <urlopen error [Errno -2] Name or service not known>
grim-debuginfo.x86_64: W: invalid-url URL: https://github.com/emersion/grim <urlopen error [Errno -2] Name or service not known>
grim.x86_64: W: invalid-url URL: https://github.com/emersion/grim <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
grim-debugsource (rpmlib, GLIBC filtered):

grim-debuginfo (rpmlib, GLIBC filtered):

grim (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEGTURBO_6.2)(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    libm.so.6()(64bit)
    libwayland-client.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
grim-debugsource:
    grim-debugsource
    grim-debugsource(x86-64)

grim-debuginfo:
    debuginfo(build-id)
    grim-debuginfo
    grim-debuginfo(x86-64)

grim:
    grim
    grim(x86-64)



Source checksums
----------------
https://github.com/emersion/grim/archive/61df6f0a9531520c898718874c460826bc7e2b42.tar.gz#/grim-0.0.1-20181024git61df6f0.tar.gz :
  CHECKSUM(SHA256) this package     : 5dbfd16de7215884b8493ed8df57f959ace326616ea8dfea0b06fe2576759d83
  CHECKSUM(SHA256) upstream package : 5dbfd16de7215884b8493ed8df57f959ace326616ea8dfea0b06fe2576759d83


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -u https://bugzilla.redhat.com/show_bug.cgi?id=1645764 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Till Hofmann 2018-11-11 14:37:52 UTC
> Issues:
> =======
> - Upstream files are not properly licensed, most (if not all) files are
> missing
>   license headers. This should at least be reported to upstream.

Have you contacted upstream about the license? Even though they intend to distribute with the MIT license, their files are not properly licensed. This should be fixed upstream.

Comment 6 Till Hofmann 2019-03-27 18:53:58 UTC
I recently found out that for some reason, the MIT license does not require license headers in each file, having the license in the project is sufficient. So consider the license issue a non-blocker.

Comment 7 Till Hofmann 2019-09-12 07:22:31 UTC
Also here, can you please update to the latest release? Then I'll continue reviewing.

Comment 8 Till Hofmann 2019-10-15 07:57:40 UTC
Jan, are you still interested in this package?

Comment 9 Till Hofmann 2020-02-09 13:16:47 UTC

*** This bug has been marked as a duplicate of bug 1786962 ***


Note You need to log in before you can comment on or make changes to this bug.